%define debug_package %{nil}
%define monodir %{_libdir}

Summary: The mono documentation system
Name: mono-tools
Version: 1.9
Release: 5%{?dist}
License: GPLv2
Group: Development/Tools
Patch0: mono-tools.patch
Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.bz2
URL: http://go-mono.com/sources-latests
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  mono-data, mono-devel, gtk-sharp2-gapi, pkgconfig mono-nunit
BuildRequires: monodoc-devel gecko-sharp2-devel gnome-sharp-devel, gettext-devel
BuildRequires: gtk-sharp2-devel autoconf automake libtool mono-nunit-devel
BuildRequires: hunspell-devel desktop-file-utils 
# On F-9, adding gnome-desktop-sharp causes file conflict
# between gnome-sharp
#BuildRequires: gnome-desktop-sharp-devel
Requires: mono-core links monodoc

ExclusiveArch: %ix86 x86_64 ia64 armv4l sparc alpha

%description
Monotools are a number of tools for mono such as allowing monodoc to be run
independantly of monodevelop

%package devel
Summary: .pc file for mono-tools
Group: Documentation
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
Development file for monodoc

%prep
%setup -q 
sed -i -e 's!@lib@!%{_lib}!' %PATCH0
%patch0 -p1 -b .original
sed -i -e 's!%{_lib}!@lib@!' %PATCH0
autoreconf -f -i -s
chmod 644 COPYING

%build
%configure
make 
# no smp flags - breaks the build

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --vendor fedora \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category Development \
        --delete-original \
        %{buildroot}%{_datadir}/applications/ilcontrast.desktop

desktop-file-install --vendor fedora \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category Development \
        --delete-original \
        %{buildroot}%{_datadir}/applications/monodoc.desktop

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root,-)
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/ilcontrast
%{_bindir}/create-native-map
%{_bindir}/gasnview
%{_bindir}/gnunit
%{_bindir}/gnunit2
%{_bindir}/monodoc
%{_bindir}/gui-compare
%{_libdir}/create-native-map
%{_libdir}/gui-compare/gui-compare.exe
%exclude %{_libdir}/gui-compare/*.dll
%{_libdir}/mono/1.0/gasnview.exe
%{_libdir}/mono/1.0/gnunit.exe
%{_libdir}/mono/2.0/gnunit2.exe
%{_libdir}/monodoc/GeckoHtmlRender.dll
%{_libdir}/monodoc/GtkHtmlHtmlRender.dll
%{_libdir}/monodoc/browser.exe
%{_libdir}/ilcontrast/ilcontrast.exe
%{_mandir}/man1/create-native-map.1.gz
%{_datadir}/pixmaps/ilcontrast.png
%{_datadir}/pixmaps/monodoc.png
%{_datadir}/applications/*.desktop

%files devel
%defattr(-, root, root,-)
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Nov 20 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 1.9-5
- kill BR: gnome-desktop-sharp for F-9

* Mon Nov 17 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against newer gtk-sharp2 (bug 468055)

* Tue Jul 08 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-4
- added br gnome-desktop-sharp
- fix for archs

* Mon Jul 07 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-3.1
- rebuild

* Tue Jun 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-3
- added BR desktop-file-utils

* Tue May 06 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-2.1
- rebuild

* Wed Apr 30 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-2
- added hunspell-devel

* Mon Apr 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-1
- bump

* Mon Jan 14 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-3
- spec file fixes
- excludearch ppc64

* Fri Jan 04 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-2
- license fix

* Fri Jan 04 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-1
- bump
- spec file fixes
- removed support for under FC7

* Fri Feb 23 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.3-2
- fix for mock

* Thu Feb 15 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.3-1
- bump
- a couple of small spec file fixes
- disabled installing the gnunit apps as theyre broken currently

* Sun Jan 28 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.1-4
- added gettext-devel for findlangs to work

* Thu Jan 18 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.1-3
- added gecko-sharp2-devel and gnome-sharp-devel 

* Fri Dec 01 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.1-2
- various spec file changes
- rename spec and package to be mono-tools

* Sat Nov 25 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.1-1
- bump
- added addition files and devel subpackage

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.17-1
- bump

* Thu Sep 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.1.11-1
- Initial import, debug and the likes

